Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 199143 - NullPointerException at org.netbeans.modules.parsing.api.Source.access$1000
NullPointerException at org.netbeans.modules.parsing.api.Source.access$1000
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
7.0
All All
: P3 (vote)
: 7.1
Assigned To: Tomas Zezula
issues@editor
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-03 12:48 UTC by Egor Ushakov
Modified: 2011-06-10 14:49 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.96 KB, text/plain)
2011-06-03 12:48 UTC, Egor Ushakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Egor Ushakov 2011-06-03 12:48:05 UTC
Build: NetBeans IDE 7.0 (Build 201104080000)
VM: Java HotSpot(TM) Client VM, 19.1-b02, Java(TM) SE Runtime Environment, 1.6.0_24-b07
OS: Windows 7

Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.parsing.api.Source.access$1000(Source.java:111)
   at org.netbeans.modules.parsing.api.Source$MySourceAccessor.getCache(Source.java:669)
   at org.netbeans.modules.parsing.impl.DialogBindingEmbeddingProvider.getEmbeddings(DialogBindingEmbeddingProvider.java:83)
   at org.netbeans.modules.parsing.impl.SourceCache.getAllEmbeddings(SourceCache.java:284)
   at org.netbeans.modules.parsing.api.ResultIterator.getEmbeddings(ResultIterator.java:162)
   at org.netbeans.modules.parsing.api.ResultIterator.getParserResult(ResultIterator.java:148)
Comment 1 Egor Ushakov 2011-06-03 12:48:09 UTC
Created attachment 108698 [details]
stacktrace
Comment 2 Tomas Zezula 2011-06-08 08:46:53 UTC
Fixed jet-main 1fc374bc267c
Comment 3 Quality Engineering 2011-06-10 14:49:01 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/1fc374bc267c
User: Tomas Zezula <tzezula@netbeans.org>
Log: #199143:NullPointerException at org.netbeans.modules.parsing.api.Source.access$1000


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo